Subject: Re: [RFC PATCH] repo-settings: set defaults even when not in a repo

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Mar 2022 13:54:45 -0700

Victoria Dye <[email-masked]> writes:

> I think the decision of whether to go with this approach or the alternative
> listed below depends on the validity of a 'repository' without a gitdir. 
>
> As far as I can tell, there is an implicit conflict between the changes in:
>
> 1. b66d84756f (commit-graph: respect 'commitGraph.readChangedPaths',
>    2020-09-09)
> 2. 44c7e62e51 (repo-settings: prepare_repo_settings only in git repos,
>    2021-12-06) (as you pointed out in your message)
>
> The former says that commit-graph should use a repository setting (implying
> it needs a valid repository), and the latter says that you need a valid
> gitdir to get repository settings.
>
> So to me, how to proceed depends on whether a repository can be "valid"
> without a gitdir or not:

Sorry, I do not get it.  What does "a repository without a git dir"
look like?  It does not make any sense to me.  A repository without
working tree, I can understand.